Katie Shima week 1 homework

Option Explicit

‘Script written by katie.shima

‘Script copyrighted by the shimamachine

‘Script version Monday, October 28, 2008 11:45:31 PM

Call Main()

Sub Main()

Dim arrPlane, i, j, strCrv(), strInnerCrv(), strSrf1, strSrf2, arrLftSrf1, arrLftSrf2, arrLftSrf3

Dim intWidth: intWidth = 8.0

Dim intMatWidth: intMatWidth = .375

Dim intTopWidth: intTopWidth = intWidth – 3

Dim intTopMatWidth: intTopMatWidth = .25

For j = 0 To 5

For i = 0 To 10

ReDim Preserve strCrv(i)

ReDim Preserve strInnerCrv(i)

arrPlane = Rhino.PlaneFromPoints(array(0,j*25,i*(j+1)), array(1,j*25,i*(j+1)), array(0,j*25+1,i*(j+1)))

If i<j+3 Or i=10 Then

strCrv(i) = Rhino.AddCircle(arrPlane,intWidth)

strInnerCrv(i) = Rhino.AddCircle (arrPlane, intWidth-intMatWidth)

If i = 0 Then

Call Rhino.MoveObject(strInnerCrv(i), array(0,0,0), array(0,0,1))

End If

Else

strCrv(i) = Rhino.AddCircle(arrPlane, intWidth-intTopWidth)

strInnerCrv(i) = Rhino.AddCircle(arrPlane, intWidth-intTopWidth-intTopMatWidth)

End If

Call Rhino.MoveObject(strCrv(i), array(0,0,0), array(2*cos(i),2*sin(i),0))

Call Rhino.MoveObject(strInnerCrv(i), array(0,0,0), array(2*cos(i),2*sin(i),0))

If i = 0 Then

strSrf1 = Rhino.AddPlanarSrf(strCrv)

strSrf2 = Rhino.AddPlanarSrf(strInnerCrv)

End If

If i = 10 Then

arrLftSrf1 = Rhino.AddLoftSrf(array(strCrv(i), strInnerCrv(i)))

End If

Next

arrLftSrf2 = Rhino.AddLoftSrf(strCrv,,,1)

arrLftSrf3 = Rhino.AddLoftSrf(strInnerCrv,,,1)

Call Rhino.JoinSurfaces(array(arrLftSrf1(0), arrLftSrf2(0), arrLftSrf3(0), strsrf1(0), strsrf2(0)),True)

Call Rhino.deleteobjects(strCrv)

Call Rhino.DeleteObjects (strInnerCrv)

Next

End Sub

week1_homework1

proposal:
For my final project I propose to make a medium-sized plexiglas overhead light shade that would explore varying conditions of opacity, translucency, directionality, and user control, specifically exploring the transmission of light through the edges of the sheet of plexi, with the ultimate goal of developing a technique that could turn into a larger, outdoor pavilion-like enclosure. It will be tested with a projection or light source from above, and the viewer will look up at it. I will be working alone.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s